### Virtual Method

# Gio RemoteActionGroup change_action_state_full

since: 2.32

#### Declaration [src]

    void
    change_action_state_full (
      GRemoteActionGroup* remote,
      const gchar* action_name,
      GVariant* value,
      GVariant* platform_data
    )

#### Description [src]

Changes the state of a remote action.

This is the same as `g_action_group_change_action_state()` except that it allows for provision of “platform data” to be sent along with the state change request. This typically contains details such as the user interaction timestamp or startup notification information.

`platform_data` must be non-`NULL` and must have the type `G_VARIANT_TYPE_VARDICT`. If it is floating, it will be consumed.

Available since: 2.32

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of the action to change the state of.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GVariant`

  The new requested value for the state.

  The data is owned by the caller of the method.

`platform_data`

  Type: `GVariant`

  The platform data to send.

  The data is owned by the caller of the method.